#!/usr/bin/python3

import os
import sys
import base64
from io import BytesIO
import pygame, gif_pygame, sys

# On importe nos 2 images sous forme base64
from res import *

ENDING_EVENT=pygame.USEREVENT+1

def resource_path(relative_path):
    """ Get absolute path to resource, works for dev and for PyInstaller """
    try:
        # PyInstaller creates a temp folder and stores path in _MEIPASS
        base_path = sys._MEIPASS
    except Exception:
        base_path = os.path.abspath(".")

    return os.path.join(base_path, relative_path)

# Renvoie une image compatible pour PyGame
def convert_base64_to_io(base64_image):
    return BytesIO(base64.b64decode(base64_image))

pygame.display.set_caption('Installation en cours ...')

pgIcon = pygame.image.load(convert_base64_to_io(veraico))
pygame.display.set_icon(pgIcon)

win = pygame.display.set_mode((480, 318))

print (resource_path("gifvera.gif"))

example_gif = gif_pygame.load(resource_path("gifvera.gif"))

running=True

pygame.time.set_timer(ENDING_EVENT, 7100)

while running:
    win.fill((0, 0, 0))
    
    example_gif.render(win, (0,0))

    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit(); sys.exit()

        if event.type == ENDING_EVENT:
            running=False
    
    pygame.display.update()

